G2 Crowd User in Legal Services

Are there any system requirements?

about 2 years ago

You need a computer or device with an up-to-date web browser. (Chrome, Safari, Explorer 9 or later recommended.)